version: "3.7"

services:
    postgres_dm:
        image: postgres_dm
        container_name: postgres_dm
        build:
            context: ./postgres_dm
            dockerfile: Dockerfile.postgres
        environment:
            POSTGRES_DB: dw
            POSTGRES_USER: postgres_dm
            POSTGRES_PASSWORD: postgres_dm
        ports:
            - 5432:5432
        volumes:
            - ./volumes/postgres_dm:/var/lib/postgresql/data
        restart: always

    postgres_mb:
        image: postgres_mb
        container_name: postgres_mb
        build:
            context: ./postgres_mb
            dockerfile: Dockerfile.postgres
        environment:
            POSTGRES_DB: metabase
            POSTGRES_USER: postgres_mb
            POSTGRES_PASSWORD: postgres_mb
        ports:
            - 5000:5432
        volumes:
            - ./volumes/postgres_mb:/var/lib/postgresql/data
        restart: always

    metabase:
        image: metabase
        container_name: metabase
        build:
            context: ./metabase
            dockerfile: Dockerfile.metabase
        environment:
            MB_DB_TYPE: postgres
            MB_DB_HOST: postgres_mb
            MB_DB_PORT: 5432
            MB_DB_DBNAME: metabase
            MB_DB_USER: postgres_mb
            MB_DB_PASS: postgres_mb
        ports:
            - 3000:3000
        volumes:
            - ./volumes/metabase-data:/metabase-data
        restart: always        
        depends_on:
            - postgres_mb